{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Location types"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-loc_type".

DEF BUFFER b-wm-loc_type FOR wm-loc_type.
DISABLE TRIGGERS FOR LOAD OF b-wm-loc_type.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-loc_type NO-LOCK:
  DO TRANSACTION:
    FIND b-wm-loc_type EXCLUSIVE WHERE ROWID(b-wm-loc_type) = ROWID(wm-loc_type).
    FIND wm-control WHERE
         wm-control.controlname = "setting_wm-parameter" 
     AND wm-control.controlkey1 = "" 
     AND wm-control.controlkey2 = "ind_picking_location" 
     AND wm-control.controlkey3 = b-wm-loc_type.loc_typecode
     AND wm-control.controlkey4 = ""
         NO-LOCK NO-ERROR.
    IF AVAIL wm-control 
    THEN DO:
      IF wm-control.controlvalue = "yes"
      THEN b-wm-loc_type.ind_picking_location = TRUE.
    END.
  END.
  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
