{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Intake order terminal"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-in_ord".

DEF BUFFER b-wm-in_ord FOR wm-in_ord.
DISABLE TRIGGERS FOR LOAD OF b-wm-in_ord.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

loop:
FOR EACH b-wm-in_ord NO-LOCK :
  IF b-wm-in_ord.cur_location_id = '' THEN NEXT loop.
  FIND wm-loc_stack WHERE
       wm-loc_stack.companycode = b-wm-in_ord.companycode
   AND wm-loc_stack.location_id = b-wm-in_ord.cur_location_id
       NO-LOCK NO-ERROR.
  IF AVAIL wm-loc_stack 
  THEN DO TRANSACTION:
    FIND CURRENT b-wm-in_ord EXCLUSIVE.
    b-wm-in_ord.loc_terminalcode = wm-loc_stack.loc_terminalcode.
  END.
  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
