{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR cLocation                     AS CHARACTER NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Val order terminal"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-val_ord".

DEF BUFFER b-wm-val_ord FOR wm-val_ord.
DISABLE TRIGGERS FOR LOAD OF b-wm-val_ord.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

loop:
FOR EACH b-wm-val_ord NO-LOCK :
  cLocation = b-wm-val_ord.discharge_location_id.
  IF cLocation = '' THEN cLocation = b-wm-val_ord.loading_location_id.
  IF cLocation = '' THEN NEXT loop.
  FIND wm-loc_stack WHERE
       wm-loc_stack.companycode = b-wm-val_ord.companycode
   AND wm-loc_stack.location_id = cLocation
       NO-LOCK NO-ERROR.
  IF AVAIL wm-loc_stack 
  THEN DO TRANSACTION:
    FIND CURRENT b-wm-val_ord EXCLUSIVE.
    b-wm-val_ord.loc_terminalcode = wm-loc_stack.loc_terminalcode.
  END.
  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
