
{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram  AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction   AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel      AS INTEGER   NO-UNDO.

DEF VAR sp-companycode AS CHAR NO-UNDO.

DEF BUFFER b-wm-address FOR wm-address.
DEF BUFFER b-wm-out_ord FOR wm-out_ord.

DISABLE TRIGGERS FOR LOAD OF b-wm-out_ord.

/* ************************  Function Prototypes ********************** */

    
/* *********************** main block ********************************* */  
 
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert wm-out_ord visit refs"
  cTable   = "wm-out_ord"
  iTotal   = 0
  iDone    = 0.


/* ***************************  Main Block  *************************** */

 
FOR EACH sp-company NO-LOCK.
  sp-companycode = sp-company.companycode.
  
  FOR EACH b-wm-out_ord WHERE b-wm-out_ord.companycode = sp-companycode EXCLUSIVE-LOCK.
    FIND b-wm-address WHERE b-wm-address.companycode = sp-companycode
                        AND b-wm-address.addressnr   = b-wm-out_ord.rec_addressnr NO-LOCK NO-ERROR.
    IF AVAIL b-wm-address THEN 
    DO.
      IF b-wm-address.visitref_out1 = ""
      THEN b-wm-out_ord.visitref_out1 = b-wm-out_ord.custref_out1. 
      ELSE b-wm-out_ord.visitref_out1 = BUFFER b-wm-out_ord:BUFFER-FIELD(b-wm-address.visitref_out1):BUFFER-VALUE.
      IF b-wm-address.visitref_out2 = ""
      THEN b-wm-out_ord.visitref_out2 = b-wm-out_ord.custref_out2. 
      ELSE b-wm-out_ord.visitref_out2 = BUFFER b-wm-out_ord:BUFFER-FIELD(b-wm-address.visitref_out2):BUFFER-VALUE.
    END.
    
    iDone = iDone + 1.
    IF iDone MODULO 100 = 0 
    THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.
  
END.
  

/* **********************  Internal Procedures  *********************** */

/* ************************  Function Implementations ***************** */




