
{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram  AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction   AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel      AS INTEGER   NO-UNDO.

DEF VAR sp-companycode AS CHAR NO-UNDO.

DEF BUFFER b-wm-timeslot_setting FOR wm-timeslot_setting.

DISABLE TRIGGERS FOR LOAD OF b-wm-timeslot_setting.

/* ************************  Function Prototypes ********************** */

    
/* *********************** main block ********************************* */  
 
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert timslot / capacity planning settings"
  cTable   = "wm-timeslot_settings"
  iTotal   = 0
  iDone    = 0.


/* ***************************  Main Block  *************************** */

 
FOR EACH sp-company NO-LOCK.
  sp-companycode = sp-company.companycode.
  
  FOR EACH b-wm-timeslot_setting WHERE b-wm-timeslot_setting.companycode = sp-companycode EXCLUSIVE-LOCK.
    
    b-wm-timeslot_setting.in_block_timeslot_before_start = b-wm-timeslot_setting.out_block_timeslot_before_start.
    b-wm-timeslot_setting.in_ind_nobook_active           = b-wm-timeslot_setting.out_ind_nobook_active.
    b-wm-timeslot_setting.in_ind_nobook_checkin          = b-wm-timeslot_setting.out_ind_nobook_checkin.
    b-wm-timeslot_setting.in_ind_nobook_active-checkin   = b-wm-timeslot_setting.out_ind_nobook_active-checkin.
    b-wm-timeslot_setting.in_ind_nobook_today            = b-wm-timeslot_setting.out_ind_nobook_today.
    
    iDone = iDone + 1.
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.
  
END.
  

/* **********************  Internal Procedures  *********************** */

/* ************************  Function Implementations ***************** */




