
/*------------------------------------------------------------------------
    File        : wm-2201-after-02-wm-out_ord.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : 
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN 
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF
/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram    AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable      AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone       AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel        AS INTEGER   NO-UNDO.
DEFINE VARIABLE iLoop       AS INTEGER   NO-UNDO.
DEFINE VARIABLE cStatusList AS CHARACTER NO-UNDO.

DEF BUFFER b-wm-out_ord FOR wm-out_ord.

DISABLE TRIGGERS FOR LOAD OF b-wm-out_ord.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert outtake orders"
  cTable   = "wm-out_ord"
  iTotal   = 0
  iDone    = 0.

cStatusList = "EDI,NEW,PLANNED,PICKING,PREPARED,LOADING,FINISHED".

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH sp-company NO-LOCK :
  
  DO iLoop = 1 TO NUM-ENTRIES(cStatusList):
    
    FOR EACH b-wm-out_ord NO-LOCK WHERE
             b-wm-out_ord.companycode = sp-company.companycode
         AND b-wm-out_ord.statuscode  = ENTRY(iLoop,cStatusList)
             USE-INDEX statuscode:
      
      DO TRANSACTION:
        FIND CURRENT b-wm-out_ord EXCLUSIVE.
        b-wm-out_ord.ind_unconfirmed = TRUE.
      END.
        
      iDone  = iDone + 1.
      iTotal = iDone.
      RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
    
    END.
  
  END.

END.
    
