{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR cLocation                     AS CHARACTER NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "WM SSD Dialogue sequence"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-ssd_dialogue_sequence".

DEF BUFFER b-wm-ssd_dialogue_sequence FOR wm-ssd_dialogue_sequence.
DEF BUFFER b-wm-ssd                   FOR wm-ssd.

DISABLE TRIGGERS FOR LOAD OF b-wm-ssd_dialogue_sequence.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH b-wm-ssd EXCLUSIVE-LOCK.
  IF b-wm-ssd.ssd_dialogue_code = "" THEN NEXT.
  
  FIND b-wm-ssd_dialogue_sequence WHERE b-wm-ssd_dialogue_sequence.ssd_code          = b-wm-ssd.ssd_code
                                    AND b-wm-ssd_dialogue_sequence.ssd_dialogue_code = b-wm-ssd.ssd_dialogue_code NO-LOCK NO-ERROR.
  IF NOT AVAIL b-wm-ssd_dialogue_sequence THEN
  DO. 
    CREATE b-wm-ssd_dialogue_sequence.
    ASSIGN b-wm-ssd_dialogue_sequence.ssd_code          = b-wm-ssd.ssd_code 
           b-wm-ssd_dialogue_sequence.seq               = 10        
           b-wm-ssd_dialogue_sequence.ssd_dialogue_code = b-wm-ssd.ssd_dialogue_code.
  END.  
  b-wm-ssd.ssd_dialogue_code = "".
     
  iDone  = iDone + 1.
  iTotal = iTotal + 1.                              
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
