
/*------------------------------------------------------------------------
    File        : wm-2201-after-01-wm-edi-cust-settings2.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : 
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN 
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF
/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram    AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable      AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone       AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel        AS INTEGER   NO-UNDO.

DEF VAR cSurchargeList AS CHAR NO-UNDO.
DEF VAR lSurchage      AS LOG  NO-UNDO.

DEF BUFFER b-wm-tariff  FOR wm-tariff.

DISABLE TRIGGERS FOR LOAD OF b-wm-tariff .

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Tariff surcharge toggle"
  cTable   = "wm-tariff"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).



FOR EACH sp-company NO-LOCK :
    

  IF CAN-FIND(FIRST wm-control NO-LOCK WHERE
                    wm-control.controlname = "wm-activity_surcharge" 
                AND wm-control.controlkey1 = sp-company.companycode )
  THEN DO:
    FOR EACH b-wm-tariff NO-LOCK WHERE
             b-wm-tariff.companycode         = sp-company.companycode
         AND b-wm-tariff.ind_storage         = FALSE
         AND b-wm-tariff.linecode            = ""
         AND b-wm-tariff.productgroupcode    = ""
         AND b-wm-tariff.productsubgroupcode = ""
         AND b-wm-tariff.product_id          = ""
         AND b-wm-tariff.inv_groupcode       = ""
         AND b-wm-tariff.qty_controlcode     = ""
         AND b-wm-tariff.trafficcode         = ""
             USE-INDEX wm-tariff:
      lSurchage = FALSE.
      FOR EACH wm-tariff_line OF b-wm-tariff NO-LOCK:
        IF wm-tariff_line.quantitycode = "SURCHARGE"
        THEN lSurchage = TRUE.
      END.
      
      IF lSurchage 
      THEN DO TRANSACTION:
        FIND CURRENT b-wm-tariff EXCLUSIVE.
        b-wm-tariff.ind_surcharge = TRUE.
      END.
        
      iDone  = iDone + 1.
      iTotal = iDone.
      RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
    
    END.
  END.

END.
    
