
/*------------------------------------------------------------------------
    File        : wm-2301-after-01-wm-visit_item.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : 
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */

&IF defined(DEBUG) > 0 &THEN 
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF
/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram    AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable      AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone       AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel        AS INTEGER   NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF wm-visit_item.
DISABLE TRIGGERS FOR LOAD OF wm-out_ord.
DISABLE TRIGGERS FOR LOAD OF wm-in_ord.

DEFINE BUFFER b-wm-visit_item FOR wm-visit_item.
DEFINE BUFFER b-wm-out_ord    FOR wm-out_ord.
DEFINE BUFFER b-wm-in_ord     FOR wm-in_ord.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "wm-visit_item"
  cTable   = "wm-visit_item"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH sp-company NO-LOCK.
  
  /*Remove VAL input from visit item registration*/
  FOR EACH b-wm-visit_item WHERE b-wm-visit_item.companycode = sp-company.companycode
                             AND b-wm-visit_item.out_ordnr   > 90000000 NO-LOCK.
    DO TRANSACTION.
      FIND b-wm-out_ord WHERE b-wm-out_ord.companycode = b-wm-visit_item.companycode
                          AND b-wm-out_ord.out_ordnr   = b-wm-visit_item.out_ordnr EXCLUSIVE-LOCK NO-WAIT NO-ERROR.
      IF AVAIL b-wm-out_ord THEN ASSIGN b-wm-out_ord.visitref_out1 = ""
                                        b-wm-out_ord.visitref_out2 = "".                             
      
      FIND CURRENT b-wm-visit_item EXCLUSIVE-LOCK NO-WAIT NO-ERROR.
      IF AVAIL b-wm-visit_item THEN DELETE b-wm-visit_item.
    END.
    iDone  = iDone + 1.
    iTotal = iDone.
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.
  
  iDone = 0.
  
  /*Remove VAL output from visit item registration*/
  FOR EACH b-wm-visit_item WHERE b-wm-visit_item.companycode = sp-company.companycode
                             AND b-wm-visit_item.in_ordnr    > 90000000 NO-LOCK.
    DO TRANSACTION.
      FIND b-wm-in_ord WHERE b-wm-in_ord.companycode = b-wm-visit_item.companycode
                         AND b-wm-in_ord.in_ordnr    = b-wm-visit_item.in_ordnr EXCLUSIVE-LOCK NO-WAIT NO-ERROR.
      IF AVAIL b-wm-in_ord THEN ASSIGN b-wm-in_ord.visitref_in1 = ""
                                       b-wm-in_ord.visitref_in2 = "".                             
      
      FIND CURRENT b-wm-visit_item EXCLUSIVE-LOCK NO-WAIT NO-ERROR.
      IF AVAIL b-wm-visit_item THEN DELETE b-wm-visit_item.
    END.
    iDone  = iDone + 1.
    iTotal = iDone.
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.
  
END.
  
    
