DEF BUFFER b-wm-stock FOR wm-stock.

DISABLE TRIGGERS FOR LOAD OF b-wm-stock.

FOR EACH sp-company NO-LOCK:
  FOR EACH wm-stock NO-LOCK WHERE 
           wm-stock.companycode = sp-company.companycode
       AND wm-stock.dt_mutation = ?
           USE-INDEX dt_mutation:
    DO TRANSACTION:
      FIND b-wm-stock EXCLUSIVE WHERE ROWID(b-wm-stock) = ROWID(wm-stock).
      ASSIGN wm-stock.dt_mutation       = wm-stock.dt_create 
             wm-stock.mutation_usercode = wm-stock.create_usercode.
    END.
  END.
END.

