{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Parameter"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-parameter".

DEF BUFFER b-wm-parameter    FOR wm-parameter.
DISABLE TRIGGERS FOR LOAD OF b-wm-parameter.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-parameter NO-LOCK:
  FIND wm-control WHERE
       wm-control.controlname = "STORAGE-INTAKE"
   AND wm-control.controlkey1 = wm-parameter.companycode
   AND wm-control.controlkey2 = "STORAGE"
   AND wm-control.controlkey3 = "INTAKE"
       NO-LOCK NO-ERROR.
  IF   AVAIL wm-control 
   AND wm-control.controlvalue = "YES"
  THEN DO TRANSACTION:
    FIND b-wm-parameter EXCLUSIVE WHERE ROWID(b-wm-parameter) = ROWID(wm-parameter).
    ASSIGN b-wm-parameter.ind_storage_on_intake = YES.     
  END.
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
