{system/conversion/conversion_progress.i}

DISABLE TRIGGERS FOR LOAD OF wm-val_type.

DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR lUseSub                       AS LOGICAL   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "VAL type - use PLANNED substatuscodes"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-val_type".

FOR EACH sp-company NO-LOCK.
  FIND wm-control WHERE wm-control.controlname  = "wm-val_ord"
                    AND wm-control.controlkey1  = sp-company.companycode
                    AND wm-control.controlkey2  = "PLANNED"
                    AND wm-control.controlkey3  = ""
                    AND wm-control.controlkey4  = ""
                    AND wm-control.controlkey5  = "" NO-LOCK NO-ERROR.
  IF NOT AVAIL wm-control THEN NEXT.
  lUseSub = TRUE.
  LEAVE.
END.

IF NOT lUseSub THEN RETURN.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-val_type EXCLUSIVE-LOCK:
  wm-val_type.ind_use_planned_substatus = TRUE.
  iDone  = iDone  + 1.
  iTotal = iTotal + 1.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.
