{system/conversion/conversion_progress.i}

DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR cTerminalCode                 AS CHARACTER NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Visit"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-visit".

DISABLE TRIGGERS FOR LOAD OF wm-visit.
DISABLE TRIGGERS FOR LOAD OF wm-visit_item.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-visit EXCLUSIVE-LOCK:

  /*Initialiseren date gate in-out*/
  IF wm-visit.tim_gate_in  <> "" THEN wm-visit.dt_gate_in  = wm-visit.dt_arrival.
  IF wm-visit.tim_gate_out <> "" THEN wm-visit.dt_gate_out = wm-visit.dt_arrival.

  /*Overnemen visit type*/
  FIND FIRST wm-visit_item NO-LOCK WHERE wm-visit_item.companycode = wm-visit.companycode
                                     AND wm-visit_item.visit_seqnr = wm-visit.visit_seqnr NO-ERROR.
  IF AVAIL wm-visit_item THEN wm-visit.order_typecode = wm-visit_item.order_typecode.

  /*Voor VISITOR visit items is dt_order_end verplicht dus deze wordt overgenomen uit dt_order*/
  FOR EACH wm-visit_item EXCLUSIVE-LOCK WHERE wm-visit_item.companycode    = wm-visit.companycode
                                          AND wm-visit_item.visit_seqnr    = wm-visit.visit_seqnr
                                          AND wm-visit_item.order_typecode = "VISITOR".
      IF wm-visit_item.dt_order_end = ? THEN wm-visit_item.dt_order_end = wm-visit_item.dt_order.
  END.

  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
