{system/conversion/conversion_progress.i}

DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR cFirstName                    AS CHARACTER NO-UNDO.
DEF VAR cLastName                     AS CHARACTER NO-UNDO.
DEF VAR cCountry                      AS CHARACTER NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Visitor"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-visitor".

DISABLE TRIGGERS FOR LOAD OF wm-visitor.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-visitor EXCLUSIVE-LOCK:

  IF NUM-ENTRIES(wm-visitor.document_info1, ";") >= 2 THEN
  DO.
    cLastName  = TRIM(ENTRY(1, wm-visitor.document_info1, ";")).
    cFirstName = wm-visitor.document_info1.
    ENTRY(1, cFirstName, ";") = "".
    cFirstName = TRIM(cFirstName,";").
    cFirstName = TRIM(cFirstName,"").
  END.
  ELSE IF NUM-ENTRIES(wm-visitor.document_info1, ",") >= 2 THEN
  DO.
    cLastName  = TRIM(ENTRY(1, wm-visitor.document_info1, ",")).
    cFirstName = wm-visitor.document_info1.
    ENTRY(1, cFirstName, ",") = "".
    cFirstName = TRIM(cFirstName,",").
    cFirstName = TRIM(cFirstName,"").
  END.
  ELSE IF NUM-ENTRIES(wm-visitor.document_info1, " ") >= 2 THEN
  DO.
    cLastName  = TRIM(ENTRY(1, wm-visitor.document_info1, " ")).
    cFirstName = wm-visitor.document_info1.
    ENTRY(1, cFirstName, " ") = "".
    cFirstName = TRIM(cFirstName).
  END.
  ELSE
  DO.
    cFirstName = "".
    cLastName  = wm-visitor.document_info1.
  END.

  wm-visitor.document_firstname = cfirstName.
  wm-visitor.document_lastname  = cLastName.
  wm-visitor.document_country   = wm-visitor.document_info2.

  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
