{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Scan activities"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-scan-activity".

DEFINE BUFFER b-wm-scan-activity FOR wm-scan-activity.
DISABLE TRIGGERS FOR LOAD OF b-wm-scan-activity.

DEFINE BUFFER b-wm-scan-activity-field FOR wm-scan-activity-field.
DISABLE TRIGGERS FOR LOAD OF b-wm-scan-activity-field.

DEFINE BUFFER b-wm-address_scan-activity FOR wm-address_scan-activity.
DISABLE TRIGGERS FOR LOAD OF b-wm-address_scan-activity.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

DO TRANSACTION:
  
  FOR EACH b-wm-scan-activity EXCLUSIVE:
    
    IF b-wm-scan-activity.activity_shortname = "" 
    THEN b-wm-scan-activity.activity_shortname = b-wm-scan-activity.scan_activitycode.
    
    IF b-wm-scan-activity.norm_unit = "" 
    THEN b-wm-scan-activity.norm_unit = "NONE".
    IF b-wm-scan-activity.verifymode = "" 
    THEN b-wm-scan-activity.verifymode = "NONE".
  
    IF   b-wm-scan-activity.x_tablename <> "" 
     AND b-wm-scan-activity.x_tablename <> "[none]"  
     AND b-wm-scan-activity.x_tablename <> "--"  
    THEN DO:
      IF NOT CAN-FIND(b-wm-scan-activity-field NO-LOCK WHERE
                      b-wm-scan-activity-field.scan_activitycode = b-wm-scan-activity.scan_activitycode
                  AND b-wm-scan-activity-field.x_tablename       = b-wm-scan-activity.x_tablename
                  AND b-wm-scan-activity-field.x_fieldname       = b-wm-scan-activity.x_fieldname      ) 
      THEN DO:
        CREATE b-wm-scan-activity-field.
        ASSIGN b-wm-scan-activity-field.scan_activitycode = b-wm-scan-activity.scan_activitycode
               b-wm-scan-activity-field.x_tablename       = b-wm-scan-activity.x_tablename      
               b-wm-scan-activity-field.x_fieldname       = b-wm-scan-activity.x_fieldname      .
      END.
    END.
    
    iDone = iDone + 1.                                                         
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.

  ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
         cAction  = "Customer scan activities"
         cTable   = "wm-address_scan-activity".
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

  FOR EACH b-wm-address_scan-activity EXCLUSIVE:
    
    IF b-wm-address_scan-activity.cust_activity_seqnr = 0 
    THEN b-wm-address_scan-activity.cust_activity_seqnr = NEXT-VALUE(wm-address_scan-activity-seq).
    IF b-wm-address_scan-activity.cust_activitycode = "" 
    THEN b-wm-address_scan-activity.cust_activitycode = b-wm-address_scan-activity.scan_activitycode.
  
    iDone = iDone + 1.                                                         
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.

END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
