{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Dock orders"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-dock_order".

DEFINE BUFFER b-wm-dock_order FOR wm-dock_order.
DISABLE TRIGGERS FOR LOAD OF b-wm-dock_order.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

DO TRANSACTION:
  
  FOR EACH b-wm-dock_order EXCLUSIVE:
    
    IF b-wm-dock_order.statuscode = "" 
    THEN DO:
      IF b-wm-dock_order.IN_ordnr > 0
      THEN DO:
        FIND wm-in_ord WHERE
             wm-in_ord.companycode = b-wm-dock_order.companycode
         AND wm-in_ord.IN_ordnr    = b-wm-dock_order.IN_ordnr
             NO-LOCK NO-ERROR.
        IF AVAIL wm-in_ord 
        THEN b-wm-dock_order.statuscode = wm-in_ord.statuscode.
      END.
      IF b-wm-dock_order.out_ordnr > 0
      THEN DO:
        FIND wm-out_ord WHERE
             wm-out_ord.companycode = b-wm-dock_order.companycode
         AND wm-out_ord.out_ordnr   = b-wm-dock_order.out_ordnr
             NO-LOCK NO-ERROR.
        IF AVAIL wm-out_ord 
        THEN b-wm-dock_order.statuscode = wm-out_ord.statuscode.
      END.
    END.

    IF LOOKUP(b-wm-dock_order.statuscode,"PLANNED,DISCHARGING,LOADING,PICKING,PREPARED") > 0
    THEN b-wm-dock_order.ind_open = TRUE.
    ELSE b-wm-dock_order.ind_open = FALSE.

    iDone = iDone + 1.                                                         
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.

END.
