
/*------------------------------------------------------------------------
    File        : wm-2103-after-01-wm-visit_type.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : Wed Feb 14 11:34:00 CET 2018
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF

DEFINE VARIABLE cProgram   AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel       AS INTEGER   NO-UNDO.

DEF BUFFER b-wm-visit_type FOR wm-visit_type.
DEF BUFFER b-wm-visit      FOR wm-visit.

/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */

DISABLE TRIGGERS FOR LOAD OF b-wm-visit_type.
DISABLE TRIGGERS FOR LOAD OF b-wm-visit.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert wm-visit_type"
  cTable   = "wm-visit_type"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FIND b-wm-visit_type WHERE b-wm-visit_type.visit_type = "VOID" EXCLUSIVE-LOCK.
IF AVAIL b-wm-visit_type THEN 
DO.
  DELETE b-wm-visit_type.
  
  iDone  = iDone + 1.
  iTotal = iDone.
  
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.
        
FOR EACH b-wm-visit WHERE b-wm-visit.visit_type = "VOID" EXCLUSIVE-LOCK.
  b-wm-visit.visit_type = "VISIT".
    
  iDone  = iDone + 1.
  iTotal = iDone.
  
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.
    