{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR cLocation                     AS CHARACTER NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Systemcode - SSD type"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-systemcode".

DEF BUFFER b-wm-systemcode FOR wm-systemcode.

DISABLE TRIGGERS FOR LOAD OF b-wm-systemcode.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "SSD-TYPE"    
                       AND b-wm-systemcode.systemcode     = "DOOR" NO-LOCK NO-ERROR.
IF AVAIL b-wm-systemcode THEN RETURN.
                       
CREATE b-wm-systemcode.
ASSIGN b-wm-systemcode.systemtype     = "SSD-TYPE"
       b-wm-systemcode.systemcode     = "DOOR"  
       b-wm-systemcode.internal_code  = "DOOR"
       b-wm-systemcode.ordernr        = 92
       b-wm-systemcode.des            = "Door"
       b-wm-systemcode.ind_input_time = FALSE.
iDone  = iDone + 1.
iTotal = iTotal + 1.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
