{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR cLocation                     AS CHARACTER NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "WM Gate access control system"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-ssd_gac_system".

DEF BUFFER b-wm-ssd_gac        FOR wm-ssd_gac.
DEF BUFFER b-wm-ssd_gac_system FOR wm-ssd_gac_system.
DEF BUFFER b-wm-ssd            FOR wm-ssd.

DISABLE TRIGGERS FOR LOAD OF b-wm-ssd_gac_system.
DISABLE TRIGGERS FOR LOAD OF b-wm-ssd_gac.
DISABLE TRIGGERS FOR LOAD OF b-wm-ssd.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FIND b-wm-ssd_gac_system WHERE b-wm-ssd_gac_system.gac_system_code  = "CERTUS" NO-LOCK NO-ERROR.
IF NOT AVAIL b-wm-ssd_gac_system THEN 
DO.
  CREATE b-wm-ssd_gac_system.
  ASSIGN b-wm-ssd_gac_system.gac_system_code  = "CERTUS"
         b-wm-ssd_gac_system.des              = "CERTUS gate access control system (PAS)"
         b-wm-ssd_gac_system.ind_export_vcard = FALSE.
END. 

FIND b-wm-ssd_gac_system WHERE b-wm-ssd_gac_system.gac_system_code  = "AEOS" EXCLUSIVE-LOCK NO-ERROR.
IF AVAIL b-wm-ssd_gac_system 
THEN b-wm-ssd_gac_system.des = "AEOS gate access control system".
     
FOR EACH b-wm-ssd_gac EXCLUSIVE-LOCK.
       IF b-wm-ssd_gac.ssd_gaccode MATCHES "*net2*"       THEN ASSIGN b-wm-ssd_gac.gac_system_code  = "NET2"
                                                                      b-wm-ssd_gac.ind_export_vcard = TRUE.
                                                                      
  ELSE IF b-wm-ssd_gac.ssd_gaccode MATCHES "*aeos*"       THEN ASSIGN b-wm-ssd_gac.gac_system_code  = "AEOS"
                                                                      b-wm-ssd_gac.ind_export_vcard = TRUE.
                                                                      
  ELSE IF b-wm-ssd_gac.ssd_gaccode MATCHES "*cardaccess*" THEN ASSIGN b-wm-ssd_gac.gac_system_code  = "CARDACCESS"
                                                                      b-wm-ssd_gac.ind_export_vcard = TRUE.
                                                                      
  ELSE IF b-wm-ssd_gac.ssd_gaccode MATCHES "*proterm*"    THEN ASSIGN b-wm-ssd_gac.gac_system_code  = "PROTERM"
                                                                      b-wm-ssd_gac.ind_export_vcard = FALSE.
                                                                      
  IF b-wm-ssd_gac.ssd_gactype = "DAC" THEN 
  DO.
    FOR EACH b-wm-ssd WHERE b-wm-ssd.ssd_gaccode = b-wm-ssd_gac.ssd_gaccode EXCLUSIVE-LOCK.
      b-wm-ssd.ssd_type = "DOOR".
    END.  
  END.                                                                      
END.

iDone  = iDone + 4.
iTotal = iTotal + 4.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
