
/*------------------------------------------------------------------------
    File        : wm-2201-after-01-wm-edi-cust-settings2.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : 
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN 
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF
/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram    AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable      AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone       AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel        AS INTEGER   NO-UNDO.

DEF BUFFER b-wm-edi-customer FOR wm-edi-customer.
DEF BUFFER b-wm-edi-sender   FOR wm-edi-sender.

DISABLE TRIGGERS FOR LOAD OF b-wm-edi-customer.
DISABLE TRIGGERS FOR LOAD OF b-wm-edi-sender.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert edi attachments"
  cTable   = "wm-edi-attachments"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH sp-company NO-LOCK :
  
  FOR EACH b-wm-edi-customer NO-LOCK WHERE
           b-wm-edi-customer.companycode = sp-company.companycode:
    
    IF b-wm-edi-customer.attachmentnr = 0
    THEN DO TRANSACTION:
      FIND CURRENT b-wm-edi-customer EXCLUSIVE.
      b-wm-edi-customer.attachmentnr = NEXT-VALUE(aa-attachment).
    END.
      
    iDone  = iDone + 1.
    iTotal = iDone.
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  
  END.

  FOR EACH b-wm-edi-sender NO-LOCK WHERE
           b-wm-edi-sender.companycode = sp-company.companycode:
    
    IF b-wm-edi-sender.attachmentnr = 0
    THEN DO TRANSACTION:
      FIND CURRENT b-wm-edi-sender EXCLUSIVE.
      b-wm-edi-sender.attachmentnr = NEXT-VALUE(aa-attachment).
    END.
      
    iDone  = iDone + 1.
    iTotal = iDone.
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  
  END.

END.
    
