{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR cLocation                     AS CHARACTER NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Systemcode - SSD type"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-ssd_loc_stack".

DEF BUFFER b-wm-ssd_loc_stack FOR wm-ssd_loc_stack.
DEF BUFFER b-wm-control       FOR wm-control.

DISABLE TRIGGERS FOR LOAD OF b-wm-ssd_loc_stack.
DISABLE TRIGGERS FOR LOAD OF b-wm-control.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH b-wm-control WHERE b-wm-control.controlname = "wm-ssd_access" EXCLUSIVE-LOCK.
  FIND b-wm-ssd_loc_stack WHERE b-wm-ssd_loc_stack.ssd_code              = b-wm-control.controlkey2
                            AND b-wm-ssd_loc_stack.loc_stack_companycode = b-wm-control.controlkey3
                            AND b-wm-ssd_loc_stack.dock_location_id      = b-wm-control.controlkey5 NO-LOCK NO-ERROR.
  IF NOT AVAIL b-wm-ssd_loc_stack THEN 
  DO.
    CREATE b-wm-ssd_loc_stack.
    ASSIGN b-wm-ssd_loc_stack.ssd_code              = b-wm-control.controlkey2
           b-wm-ssd_loc_stack.loc_stack_companycode = b-wm-control.controlkey3
           b-wm-ssd_loc_stack.dock_location_id      = b-wm-control.controlkey5.
  END.
  
  DELETE b-wm-control.
         
  iDone  = iDone  + 1.
  iTotal = iTotal + 1.
END. 

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
