
/*------------------------------------------------------------------------
    File        : wm-2201-after-01-wm-edi-cust-settings2.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : 
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN 
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF
/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram    AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable      AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone       AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel        AS INTEGER   NO-UNDO.

DEF VAR cSurchargeList AS CHAR NO-UNDO.
DEF VAR lSurchage      AS LOG  NO-UNDO.

DEFINE BUFFER b-aa-edi-system FOR aa-edi-system.
DISABLE TRIGGERS FOR LOAD OF b-aa-edi-system.

DISABLE TRIGGERS FOR LOAD OF wm-systemcode.
DEFINE BUFFER b-wm-systemcode FOR wm-systemcode.


ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "WM Scheduled task"
  cTable   = "aa-edi-system"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

DO TRANSACTION:
  FIND b-aa-edi-system WHERE 
       b-aa-edi-system.system_type = '4GL_PROCEDURE'
  AND  b-aa-edi-system.system_code = 'WM Scheduled Intake PD'
       EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAILABLE b-aa-edi-system
  THEN DO:
    CREATE b-aa-edi-system.
    ASSIGN b-aa-edi-system.system_type = '4GL_PROCEDURE'
           b-aa-edi-system.system_code = 'WM Scheduled Intake PD' .
  END.
  ASSIGN b-aa-edi-system.des = 'WM Scheduled Intake PD'
         b-aa-edi-system.edit_parameter_proc = 'wm/link/wm-scheduled-intake-pd.p'.
  
  
  FIND b-wm-systemcode WHERE 
       b-wm-systemcode.systemtype = 'EDI-PROC'
  AND  b-wm-systemcode.systemcode = 'CUSTOM-003'
       EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAILABLE b-wm-systemcode
  THEN DO:
    CREATE b-wm-systemcode.
    ASSIGN b-wm-systemcode.systemtype = 'EDI-PROC'
           b-wm-systemcode.systemcode = 'CUSTOM-003'.
  END.
  ASSIGN b-wm-systemcode.ordernr = 5
         b-wm-systemcode.des = 'wm/proc/wm-custom-edi-003.p'
         b-wm-systemcode.internal_code = 'CUSTOM-003'
         b-wm-systemcode.ind_input_time = NO  .
  
  iDone  = iDone + 1.
  iTotal = iDone.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.
    
    
